Subject: Re: linux-next: build failure after merge of the tip tree

From: Andrew Morton <[email-masked]>
Date: Mon, 12 Jan 2026 12:31:26 -0800

On Sun, 11 Jan 2026 12:02:31 +0100 Borislav Petkov <[email-masked]> wrote:

> > Could I ask that when triaging these emails, you let me know promptly
> > if you'd prefer I not merge it, or to not upstream it without full x86
> > review, or whatever you want?  I can annotate or drop the patchset and
> > things will proceed smootly.
> 
> The problem is, most of the time there's so much email so that all of us are
> drowning in it to even be able to react. Remember the last time where Peter
> and I were asking you to drop a patch from your queue? I think you didn't even
> react because of -ETOOMUCHMAIL.

oops.  When triaging Subjects, something which is clearly x86 gets less
love.

> So to make things simpler, maybe we could say:
> 
> - patches which touch x86 only and there are no mm dependencies, go only
>   through us. Including kexec. I think you'd like this because it'll take some
>   of your load off

Sure.

> - mixed sets would probably need a week or so reaction time from us.

No probs.

> If no
>   reaction, I guess you take 'em. And we'll try to send acks/reviews. This
>   will become even easier when we get the AI to review.

I'm optimistic.  Did you see Mathieu's review of a Gemini review? 
https://lkml.kernel.org/r/[email-masked]

> Apparently, trying to
>   get people to review more hasn't had any palpable success over the years so
>   might as well let AI replace them here. :-P

Yeah.  I've been paying a lot of attention to the review economy
lately, I'm hopeful we can do some things to help level the playing
field, take load off those few who do so much of it.  Early days.

> > Yeah, that sucks.  I always pull his tree, do my test merge then do a
> > couple of build tests before sending the pull request.  I wish the guy
> > would publish his .configs so we can do `make linusconfig' to avoid the
> > grumpygrams.
> 
> So he builds an allmodconfig, AFAIK, of every pull request, with both
> compilers.
> 
> That's what I do too with our pull requests come merge window: I merge them
> locally and build allmodconfigs of each one. This has caught pretty much every
> issue, AFAIR.

OK.  arm allnoconfig is fun.  It's super fast.  It's nommu and finds
things...